GDB (xrefs)

Public Attributes | List of all members
field_smob Struct Reference

## Public Attributes
gdb_smob | base
SCM | type_scm
int | field_num

## Detailed Description

Definition at line 56 of file scm-type.c.

## Member Data Documentation

## ◆ base

gdb_smob field_smob::base

Definition at line 59 of file scm-type.c.

## ◆ field_num

int field_smob::field_num

Definition at line 65 of file scm-type.c.

Referenced by gdbscm_field_baseclass_p(), tyscm_field_smob_to_field(), tyscm_make_field_smob(), and tyscm_print_field_smob().

## ◆ type_scm

SCM field_smob::type_scm

Definition at line 62 of file scm-type.c.

Referenced by tyscm_field_smob_containing_type(), tyscm_make_field_smob(), and tyscm_print_field_smob().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/guile/scm-type.c